## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XStringBase Class Reference

`#include <XStringBase.hpp>`

Inheritance diagram for XStringBase

Collaboration diagram for XStringBase:

List of all members.

## Public Types

- typedef XObject ParentType

## Public Methods

- XStringBase ()
    Construct an XStringBase object from a string.
- XStringBase (const XStringBase& source)
- virtual ~XStringBase ()
- virtual XStringBase* clone (void* theAddress = 0) const = 0
    Clone the instance. More...
- virtual XalanDOMString getTypeString () const
    Given a request type, return the equivalent string. More...
- virtual double num () const
    Cast result object to a number. More...
- virtual bool boolean () const
    Cast result object to a boolean. More...
- virtual const XalanDOMString& str () const = 0
    Cast result object to a string. More...
- virtual void str ( FormatterListener& formatterListener, MemberFunctionPtr function) const = 0
    Send the string value to a FormatterListener instance. More...
- virtual double stringLength () const = 0
    Get the length of the string value of the instance.. More...
- virtual const XalanDocumentFragment& rtree () const
    Cast result object to a result tree fragment. More...
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback& theCallbackObject)
    Process a callback request for preferred type information. More...
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback& theCallbackObject) const
    Process a callback request for preferred type information. More...

## Member Typedef Documentation

typedef XObject XStringBase::ParentType

Reimplemented in XString, XStringAdapter, XStringCached, and XStringReference.

## Constructor & Destructor Documentation

XStringBase::XStringBase ( | )

Construct an XStringBase object from a string.

XStringBase::XStringBase ( | const XStringBase & source )

virtual XStringBase::~XStringBase ( | )`[virtual]`

## Member Function Documentation

virtual void XStringBase::ProcessXObjectTypeCallback ( | XObjectTypeCallback & theCallbackObject ) const`[virtual]`

Process a callback request for preferred type information.

Parameters:

  theCallbackObject | object to call back

Reimplemented from XObject.

virtual void XStringBase::ProcessXObjectTypeCallback ( | XObjectTypeCallback & theCallbackObject )`[virtual]`

Process a callback request for preferred type information.

Parameters:

  theCallbackObject | object to call back

Reimplemented from XObject.

virtual bool XStringBase::boolean ( | ) const`[virtual]`

Cast result object to a boolean.

Returns:
  boolean value

Reimplemented from XObject.

virtual XStringBase* XStringBase::clone ( | void * theAddress = 0 ) const`[pure virtual]`

Clone the instance.

Parameters:

  If | theAddress is not null, the XObject will clone itself into that address.

Returns:
  a clone of the instance.

Reimplemented from XObject.

Reimplemented in XString, XStringAdapter, XStringCached, XStringReference, and XTokenStringAdapter.

virtual XalanDOMString XStringBase::getTypeString ( | ) const`[virtual]`

Given a request type, return the equivalent string.

For diagnostic purposes.

Returns:
  string for type

Reimplemented from XObject.

virtual double XStringBase::num ( | ) const`[virtual]`

Cast result object to a number.

Returns:
  numeric value

Reimplemented from XObject.

Reimplemented in XTokenStringAdapter.

virtual const XalanDocumentFragment& XStringBase::rtree ( | ) const`[virtual]`

Cast result object to a result tree fragment.

Returns:
  result tree fragment

Reimplemented from XObject.

virtual void XStringBase::str ( | FormatterListener & formatterListener,
| MemberFunctionPtr function ) const`[pure virtual]`

Send the string value to a FormatterListener instance.

Parameters:

  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call

Reimplemented from XObject.

Reimplemented in XString, XStringAdapter, XStringCached, XStringReference, and XTokenStringAdapter.

virtual const XalanDOMString& XStringBase::str ( | ) const`[pure virtual]`

Cast result object to a string.

Returns:
  string value

Reimplemented from XObject.

Reimplemented in XString, XStringAdapter, XStringCached, XStringReference, and XTokenStringAdapter.

virtual double XStringBase::stringLength ( | ) const`[pure virtual]`

Get the length of the string value of the instance..

Returns:
  The length of the string value

Reimplemented from XObject.

Reimplemented in XString, XStringAdapter, XStringCached, XStringReference, and XTokenStringAdapter.

The documentation for this class was generated from the following file:

- XStringBase.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.